Product comparison · 2 ip phones

Yealink MP45 vs Yealink T58W(Pro) with Camera

Add a product
  • 20specifications compared
  • 12differ
  • 8identical
  • 65known for one product only

Key differences

The Yealink T58W(Pro) with Camera has 36.4 mm more width than the Yealink MP45 (259.4 mm vs 223 mm). The Yealink T58W(Pro) with Camera has 61 mm more depth than the Yealink MP45 (220 mm vs 159 mm). The Yealink T58W(Pro) with Camera has 112 mm more height than the Yealink MP45 (239 mm vs 127 mm). Handset type: Wired handset on the Yealink MP45, Wireless handset on the Yealink T58W(Pro) with Camera. Product colour: Black, Grey on the Yealink MP45, Grey on the Yealink T58W(Pro) with Camera.

  • Handset type
    • MP45:Wired handset
    • T58W(Pro) with Camera:Wireless handset
  • Product colour
    • MP45:Black, Grey
    • T58W(Pro) with Camera:Grey
  • Display diagonal
    • MP45:10.2 cm (4")
    • T58W(Pro) with Camera:17.8 cm (7")
  • Display resolution
    • MP45:480 x 800 pixels
    • T58W(Pro) with Camera:1024 x 600 pixels
  • Operating relative humidity (H-H)
    • MP45:10 - 95%
    • T58W(Pro) with Camera:5 - 90%
  • Operating temperature (T-T)
    • MP45:-10 - 50 °C
    • T58W(Pro) with Camera:-10 - 45 °C
  • Width
    • MP45:223 mm
    • T58W(Pro) with Camera:259.4 mm
  • Depth
    • MP45:159 mm
    • T58W(Pro) with Camera:220 mm

Side by side

Differences highlightedShow differences only (off)
Comparison of MP45, T58W(Pro) with Camera
85 specifications
A

Yealink

MP45

Model MP45

View product
Design2 differ
Product typeIP PhoneIP Phone
Handset typeDiffersWired handsetWireless handset
Product colourDiffersBlack, GreyGrey
Wall mountableKnown for oneUnknown — not stated by the sourceYes
Backlight keypadKnown for oneYesUnknown — not stated by the source
Performanceidentical
Dual-Tone Multi-Frequency (DTMF) modesKnown for oneUnknown — not stated by the sourceIn-band, Out-of band, SIP info
Hearing aid compatibilityYesYes
Internal memoryKnown for one64 MBUnknown — not stated by the source
Flash memoryKnown for one128 MBUnknown — not stated by the source
Operating system installedKnown for oneLinuxUnknown — not stated by the source
Phone featuresidentical
Answering machineKnown for oneUnknown — not stated by the sourceYes
Anonymous callKnown for oneUnknown — not stated by the sourceYes
Anonymous call rejectionKnown for oneUnknown — not stated by the sourceYes
Call forwardingKnown for oneUnknown — not stated by the sourceYes
Call holdKnown for oneUnknown — not stated by the sourceYes
Call parkKnown for oneUnknown — not stated by the sourceYes
Call pick upKnown for oneUnknown — not stated by the sourceYes
Call returnKnown for oneUnknown — not stated by the sourceYes
Call transferKnown for oneUnknown — not stated by the sourceYes
Call waitingKnown for oneUnknown — not stated by the sourceYes
Caller IDYesYes
Conference callKnown for oneUnknown — not stated by the sourceYes
Do not disturb functionKnown for oneUnknown — not stated by the sourceYes
Full duplexKnown for oneUnknown — not stated by the sourceYes
IntercomKnown for oneUnknown — not stated by the sourceYes
Message-waiting indicator (MWI)Known for oneUnknown — not stated by the sourceYes
Phonebook capacityKnown for oneUnknown — not stated by the source1000 entries
RedialingKnown for oneUnknown — not stated by the sourceYes
Speed diallingKnown for oneUnknown — not stated by the sourceYes
Management featuresidentical
Integrated voicemailKnown for oneUnknown — not stated by the sourceYes
Keypad number of keysKnown for oneUnknown — not stated by the source27
Number of function keysKnown for oneUnknown — not stated by the source7
Volume controlKnown for oneButtonsUnknown — not stated by the source
Display2 differ
DisplayKnown for oneUnknown — not stated by the sourceLCD
Display diagonalDiffers10.2 cm (4")17.8 cm (7")
Display resolutionDiffers480 x 800 pixels1024 x 600 pixels
TouchscreenYesYes
Touchscreen typeCapacitiveCapacitive
Cameraidentical
Front cameraKnown for oneUnknown — not stated by the sourceYes
Front camera resolution (numeric)Known for oneUnknown — not stated by the source2 MP
Field of view (FOV) angleKnown for oneUnknown — not stated by the source75°
Camera privacy shutterKnown for oneUnknown — not stated by the sourceYes
Audioidentical
SpeakerphoneKnown for oneUnknown — not stated by the sourceYes
Microphone muteKnown for oneUnknown — not stated by the sourceYes
Adaptive jitter buffersYesYes
Automatic gain controlYesYes
Comfort noise generation (CNG)Known for oneUnknown — not stated by the sourceYes
Noise reductionKnown for oneUnknown — not stated by the sourceYes
Packet loss concealment (PLC)Known for oneUnknown — not stated by the sourceYes
Voice activity detectionKnown for oneUnknown — not stated by the sourceYes
Voice codecsKnown for oneUnknown — not stated by the sourceG.711a, G.722, G.723.1, G.726, G.729, G.729A, G.729B, iLBC
Videoidentical
Video callKnown for oneUnknown — not stated by the sourceYes
Bit rateKnown for oneUnknown — not stated by the source512 Kbit/s
Video resolutionsKnown for oneUnknown — not stated by the source1280 x 720 pixels
Video capture resolution (max)Known for oneUnknown — not stated by the source1280 x 720 pixels
Video capturing speedKnown for oneUnknown — not stated by the source30 fps
Video codecsKnown for oneUnknown — not stated by the sourceH.264 High Profile, H.264, VP8
Networkidentical
Ethernet LANKnown for oneUnknown — not stated by the sourceYes
Ethernet LAN data ratesKnown for oneUnknown — not stated by the source1000 Mbit/s
Ethernet LAN interface typeKnown for oneUnknown — not stated by the sourceGigabit Ethernet
Wi-FiKnown for oneUnknown — not stated by the sourceYes
Wi-Fi standardsKnown for oneUnknown — not stated by the source802.11a, 802.11b, 802.11g, Wi-Fi 4 (802.11n)
BluetoothKnown for oneUnknown — not stated by the sourceYes
Bluetooth versionKnown for oneUnknown — not stated by the source4.2
Networking standardsKnown for oneUnknown — not stated by the sourceIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3af
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Security algorithmsKnown for oneUnknown — not stated by the source256-bit AES, HTTPS, TLS, WPA2, WPA3
Supported network protocolsKnown for oneUnknown — not stated by the sourceIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)
Ports & interfacesidentical
USB 2.0 ports quantityKnown for oneUnknown — not stated by the source2
Ethernet LAN (RJ-45) portsKnown for oneUnknown — not stated by the source2
RJ-9 ports quantityKnown for oneUnknown — not stated by the source2
Poweridentical
Power over Ethernet (PoE)Known for oneUnknown — not stated by the sourceYes
AC adapter input voltageKnown for one100 - 240 VUnknown — not stated by the source
AC adapter output voltageKnown for one5 VUnknown — not stated by the source
AC adapter output currentKnown for one1.2 AUnknown — not stated by the source
Operational conditions2 differ
Operating relative humidity (H-H)Differs10 - 95%5 - 90%
Operating temperature (T-T)Differs-10 - 50 °C-10 - 45 °C
Weight & dimensions6 differ
WidthDiffers223 mm259.4 mm
DepthDiffers159 mm220 mm
HeightDiffers127 mm239 mm
Package widthDiffers249 mm324 mm
Package depthDiffers179 mm293 mm
Package heightDiffers103 mm128 mm
Package weightKnown for oneUnknown — not stated by the source8.8 kg
Packaging contentidentical
Number of handles included1 pc(s)1 pc(s)

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons